from enum import Enum


class FinchgoConnectionStatusType(str, Enum):
    CONNECTED = "connected"
    ERROR_NO_ACCOUNT_SETUP = "error_no_account_setup"
    ERROR_PERMISSIONS = "error_permissions"
    PENDING = "pending"
    PROCESSING = "processing"
    REAUTH = "reauth"

    def __str__(self) -> str:
        return str(self.value)
